X2Go Bug report logs - #262
Color issue with some programs GUI when used with X2GO (ok with NX)

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: Edouard Villeneuve <evilleneuve@pldagroup.com>

Date: Fri, 12 Jul 2013 06:33:02 UTC

Severity: normal

Tags: moreinfo

Forwarded to https://github.com/ArcticaProject/nx-libs/issues/79

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#262; Package not_applicable. (Fri, 12 Jul 2013 06:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edouard Villeneuve <evilleneuve@pldagroup.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Fri, 12 Jul 2013 06:33:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Edouard Villeneuve <evilleneuve@pldagroup.com>
To: submit@bugs.x2go.org
Subject: Color issue with some programs GUI when used with X2GO (ok with NX)
Date: Fri, 12 Jul 2013 08:22:13 +0200
[Message part 1 (text/plain, inline)]
Package: not_applicable



Hello,



We are trying to move from NX to X2Go.

One of our tools is called Questa Sim (EDA tool from Mentor Graphics).



When we used to run it from NX, no issues.

When we use it with X2Go, we have color issues:

·         What was white or yellow text on a black background, now shows as
… black text on a black background, hence not readable.

·         While we can change colors in a preferences menu, unlike in NX,
changing the text color in X2Go environment does not work



Below are two screenshots:

·         One from NX, where yellow bar and text is readable

·         One from X2Go, where this bar and text have become black (on
black background)



Thanks,

- Edouard



[image: cid:image001.png@01CE7ED3.3A9ED4D0]



[image: cid:image002.png@01CE7ED3.C3C30420]







Edouard Villeneuve | IS Manager | PLDA Group | Cell : +33 (0) 670 409 549 |
http://www.plda.com/
[Message part 2 (text/html, inline)]
[image001.png (image/png, inline)]
[image002.png (image/png, inline)]

Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#262; Package not_applicable. (Fri, 19 Jul 2013 16:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 19 Jul 2013 16:18:01 GMT) Full text and rfc822 format available.

Message #10 received at 262@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Edouard Villeneuve <evilleneuve@pldagroup.com>, 262@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#262: Color issue with some programs GUI when used with X2GO (ok with NX)
Date: Fri, 19 Jul 2013 18:08:15 +0200
[Message part 1 (text/plain, inline)]
reassign #262 x2goagent
thanks

Hi Alex, hi Edouard,

On Fr 12 Jul 2013 08:22:13 CEST Edouard Villeneuve wrote:

> We are trying to move from NX to X2Go.
>
> One of our tools is called Questa Sim (EDA tool from Mentor Graphics).
>
>
>
> When we used to run it from NX, no issues.
>
> When we use it with X2Go, we have color issues:
>
> ·         What was white or yellow text on a black background, now shows as
> … black text on a black background, hence not readable.
>
> ·         While we can change colors in a preferences menu, unlike in NX,
> changing the text color in X2Go environment does not work
>
>
>
> Below are two screenshots:
>
> ·         One from NX, where yellow bar and text is readable
>
> ·         One from X2Go, where this bar and text have become black (on
> black background)

Do you have a clue how this can happen?

There is the patch you came up with some time ago that had to do with  
font visibility:

nx-libs/debian/patches/204_nxagent_repaint-solidpict.full.patch

Any chance that this needs some more fine tuning?

@Edouard: as this only affects one special application (which seems  
non-free) getting this fixed may need your help and possibly a couple  
of hours of paid coding work. Is that feasible for you business?  
Otherwise, I do not see a chance of getting this issue fixed soon. :-(

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'not_applicable' to 'x2goagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 16:18:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#262; Package x2goagent. (Mon, 22 Jul 2013 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edouard Villeneuve <evilleneuve@pldagroup.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 22 Jul 2013 10:48:02 GMT) Full text and rfc822 format available.

Message #17 received at 262@bugs.x2go.org (full text, mbox):

From: Edouard Villeneuve <evilleneuve@pldagroup.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 262@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#262: Color issue with some programs GUI when used with X2GO (ok with NX)
Date: Mon, 22 Jul 2013 12:41:24 +0200
[Message part 1 (text/plain, inline)]
Hello,
The impact was too problematic so we had to uninstall X2Go and reinstall NX.
We will retry on new servers which we have to setup, hoping that this will
not reproduce on a new environment.
Regards,
- Edouard

Edouard Villeneuve | IS Manager | PLDA Group | Cell : +33 (0) 670 409 549 |
http://www.plda.com/


On Fri, Jul 19, 2013 at 6:08 PM, Mike Gabriel <
mike.gabriel@das-netzwerkteam.de> wrote:

> reassign #262 x2goagent
> thanks
>
> Hi Alex, hi Edouard,
>
> On Fr 12 Jul 2013 08:22:13 CEST Edouard Villeneuve wrote:
>
>  We are trying to move from NX to X2Go.
>>
>> One of our tools is called Questa Sim (EDA tool from Mentor Graphics).
>>
>>
>>
>> When we used to run it from NX, no issues.
>>
>> When we use it with X2Go, we have color issues:
>>
>> ·         What was white or yellow text on a black background, now shows
>> as
>> … black text on a black background, hence not readable.
>>
>> ·         While we can change colors in a preferences menu, unlike in NX,
>> changing the text color in X2Go environment does not work
>>
>>
>>
>> Below are two screenshots:
>>
>> ·         One from NX, where yellow bar and text is readable
>>
>> ·         One from X2Go, where this bar and text have become black (on
>> black background)
>>
>
> Do you have a clue how this can happen?
>
> There is the patch you came up with some time ago that had to do with font
> visibility:
>
> nx-libs/debian/patches/204_**nxagent_repaint-solidpict.**full.patch
>
> Any chance that this needs some more fine tuning?
>
> @Edouard: as this only affects one special application (which seems
> non-free) getting this fixed may need your help and possibly a couple of
> hours of paid coding work. Is that feasible for you business? Otherwise, I
> do not see a chance of getting this issue fixed soon. :-(
>
> Greets,
> Mike
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<mike.gabriel@das-netzwerkteam.de>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#262; Package x2goagent. (Mon, 30 Jun 2014 13:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 13:25:02 GMT) Full text and rfc822 format available.

Message #22 received at 262@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Edouard Villeneuve <evilleneuve@pldagroup.com>
Cc: 262@bugs.x2go.org
Subject: Color problems in X2Go sessions
Date: Mon, 30 Jun 2014 13:23:13 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

Hi Edouard,

a while back you reported some color problems in X2Go session that  
were not present in NX sessions.

Did you get to installing new servers with X2Go? Can you give  
feedback, if you also see those color issues on fresh installations?

If so, please give us more details (and maybe a screenshot) about your  
observations.

Please test with the currently baking builds of NX (redistributed) 3.5.0.27.

Thanks+Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 262-submit@bugs.x2go.org. (Mon, 30 Jun 2014 13:25:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#262; Package x2goagent. (Mon, 28 Sep 2015 09:00:05 GMT) Full text and rfc822 format available.

Message #27 received at control@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: control@bugs.x2go.org
Date: Sat, 20 Feb 2016 22:37:53 +0000
[Message part 1 (text/plain, inline)]
forwarded #262 https://github.com/ArcticaProject/nx-libs/issues/79
thanks
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 13 14:01:06 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.